@font-face {
  font-family: "Neue Haas Grotesk";
  font-weight: normal;
  font-style: normal;
  src: url("/fonts/neuehaasgrote.otf");
}

/*  @font-face {
  font-family: "Neue Haas Grotesk";
  font-weight: normal;
  font-style: italic;
  src: url("/fonts/neue-haas-grotesk-italic.woff2"); 
} */

/* @font-face {
  font-family: "Neue Haas Grotesk";
  font-weight: bold;
  font-style: normal;
  src: url("/fonts/neue-haas-grotesk-bold.woff2");
}
 */
@font-face {
  font-family: "Silk Serif";
  font-weight: normal;
  font-style: normal;
  src: url("/fonts/Silk_Serif_ExtraLight.otf");
}

*,
*:before,
*:after {
  box-sizing: border-box;
}

body {
  font-family: "Neue Haas Grotesk", sans-serif;
  margin: 0;
  padding-bottom: 10rem;
  color: var(--color-neutral);
  background-color: var(--color-background);

  --color-background: hsl(47, 18%, 90%);
  --color-border: hsl(0, 0%, 60%);
  --color-outline: hsl(0, 0%, 80%);
  --color-neutral--deemphasized: hsl(0, 0%, 40%);
  --color-neutral: hsl(72, 5%, 19%);
}

a {
  color: inherit;
}

p {
  line-height: 1.4;
  max-width: 34ch;
}

h1,
h2 {
  font-family: "Silk Serif", serif;
  font-weight: normal;
  text-transform: uppercase;
}

h1 {
  font-size: clamp(3.5rem, 8vw, 6.5rem);
  line-height: 0.8;
  margin-bottom: 1rem;
  text-transform: uppercase;
}

h2 {
  font-size: clamp(2rem, 4vw, 3.5rem);
  line-height: 0.9;
  /* color: var(--color-neutral--deemphasized); */
  width: min-content;
  margin-top: 0;
}

h3 {
  font-weight: normal;
}

address {
  font-size: 0.75rem;
  font-style: normal;
  display: grid;
  justify-content: start;
  margin-bottom: clamp(4rem, 8vw, 6.5rem);
  text-transform: uppercase;
  color: var(--color-neutral--deemphasized);
}

address a {
  display: block;
}

time {
  font-size: 0.75rem;
  text-transform: uppercase;
  color: var(--color-neutral--deemphasized);
}

button,
.print-disclaimer a {
  font-family:
    "SF Mono", "SFMono-Regular", "Fira Code", Consolas, "Liberation Mono",
    Menlo, Courier, monospace;
  display: inline-block;
  padding: 2px 4px;
  cursor: pointer;
  text-decoration: none;
  color: inherit;
  border: 1px solid var(--color-outline);
  border-radius: 4px;
  background-color: transparent;
}

button:hover,
.print-disclaimer a:hover {
  border-color: var(--color-border);
}

button:active,
.print-disclaimer a:active {
  background-color: hsl(0, 0%, 92%);
}

.container {
  max-width: 75rem;
  margin: 0 auto;
  padding-inline: 1.5rem;
}

.grid {
  display: grid;
  row-gap: 4rem;
}

.site-header {
  font-size: 0.75rem;
  display: grid;
  justify-content: space-between;
  margin-bottom: 18rem;
  padding-block: 1rem;
  text-transform: uppercase;
  color: var(--color-neutral--deemphasized);
}

.page-header {
  margin-bottom: 6rem;
  color: var(--color-neutral--deemphasized);
}

.name {
  color: var(--color-neutral);
}

.mission {
  font-size: 1.5rem;
  color: var(--color-neutral--deemphasized);
}

.print-disclaimer {
  font-style: italic;
  margin-bottom: 2rem;
}

.cert .print-disclaimer {
  margin-bottom: 3rem;
}

.table-of-contents {
  font-size: 1.5rem;
  display: grid;
  grid-auto-flow: column;
  gap: 2rem;
  justify-content: start;
}

@media (max-width: 37.49rem) {
  .table-of-contents {
    grid-auto-flow: row;
    gap: 0.75rem;
  }
}

.table-of-contents a {
  position: relative;
  display: inline-block;
  text-decoration: none;
  width: fit-content;
}

.table-of-contents a:after {
  position: absolute;
  right: 0;
  bottom: 0;
  left: 0;
  display: block;
  height: 1px;
  content: "";
  opacity: 0.8;
  background-color: currentColor;
}

.table-of-contents a:hover {
  color: var(--color-neutral);
}

.page-section {
  position: relative;
  display: grid;
  padding-top: 4rem;
}

.page-section:before {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  display: block;
  height: 1px;
  content: "";
  background-color: var(--color-outline);
}

.experience {
  display: grid;
}

.experience svg {
  max-width: 10rem;
  margin-bottom: 1rem;
}

.experience .svg-small {
  max-width: 6rem;
}

.experience h3,
.cert h3,
.projects h3 {
  font-size: 1rem;
  margin: 0;
}

.projects article,
.cert article {
  display: grid;
  align-content: start;
  row-gap: 0.25rem;
}

.experience p,
.projects p,
.cert p {
  color: var(--color-neutral--deemphasized);
}

.expertise h3 {
  font-size: 0.75rem;
  margin: 0;
  text-transform: uppercase;
  color: var(--color-neutral--deemphasized);
}

.expertise ul {
  line-height: 1.5;
  margin-bottom: 3rem;
  padding: 0;
  list-style-type: none;
}

.projects .print-disclaimer {
  margin: 0 0 3rem;
}

.projects time,
.cert time {
  margin-bottom: 0.25rem;
}

.cert img,
.cert svg {
  width: 9rem;
  height: 4rem;
  margin-bottom: 0.2rem;
}

.cert img {
  object-fit: contain;
  object-position: left center;
}

@media (min-width: 37.5rem) {
  address {
    grid-auto-flow: column;
    grid-gap: 2rem;
  }

  p {
    max-width: 50ch;
  }
  .site-header {
    grid-auto-flow: column;
  }

  .page-section {
    grid-template-columns: 1fr 1fr;
  }
}
